using SqlSugar;
using System;

namespace YBDevice.Entity
{
    /// <summary>
    /// 账户系统
    /// </summary>
    [SugarTable("YB_Account", TableDescription = "账户系统", IsDisabledUpdateAll = false, IsDisabledDelete = true)]
    public class YB_Account
    {
        /// <summary>
        /// 
        /// </summary>
        [SugarColumn(IsPrimaryKey = true, IsIdentity = true)]
        public System.Int32 Id { get; set; }

        /// <summary>
        /// 手机号
        /// </summary>
        [SugarColumn(ColumnDescription = "手机号",ColumnDataType ="varchar(20)")]
        public System.String Phone { get; set; }

        /// <summary>
        /// 登录账户名
        /// </summary>
        [SugarColumn(ColumnDescription = "登录账户名", ColumnDataType = "varchar(50)")]
        public System.String UserName { get; set; }

        /// <summary>
        /// 显示的名称
        /// </summary>
        [SugarColumn(ColumnDescription = "显示的名称", ColumnDataType = "nvarchar(50)")]
        public System.String RealName { get; set; }

        /// <summary>
        /// 密码,MD5加密
        /// </summary>
        [SugarColumn(ColumnDescription = "密码,MD5加密", ColumnDataType = "varchar(50)")]
        public System.String Password { get; set; }

        /// <summary>
        /// 密码密钥
        /// </summary>
        [SugarColumn(ColumnDescription = "密码密钥", ColumnDataType = "varchar(50)")]
        public System.String Secret { get; set; }

        /// <summary>
        /// 所属的角色ID
        /// </summary>
        [SugarColumn(ColumnDescription = "所属的角色ID")]
        public int RoleId { get; set; }

        /// <summary>
        /// 所属的角色ID
        /// </summary>
        [SugarColumn(ColumnDescription = "所属的角色ID",IsNullable =true)]
        public Guid nRoleId { get; set; }

        /// <summary>
        /// 账户类型,1-普通,2-平台
        /// </summary>
        [SugarColumn(ColumnDescription = "账户类型,1-普通,2-平台")]
        public AccountType AccountType { get; set; }

        /// <summary>
        /// 关联的客户ID
        /// </summary>
        [SugarColumn(ColumnDescription = "关联的客户ID")]
        public System.Int32 BusinessId { get; set; }

        /// <summary>
        /// 状态,0-禁用,1-启用
        /// </summary>
        [SugarColumn(ColumnDescription = "状态,0-禁用,1-启用")]
        public StatusType Status { get; set; }

        /// <summary>
        /// 最近访问的IP地址
        /// </summary>
        [SugarColumn(ColumnDescription = "最近访问的IP地址", ColumnDataType = "varchar(50)")]
        public System.String LastVisitIP { get; set; }

        /// <summary>
        /// 最近访问时间
        /// </summary>
        [SugarColumn(ColumnDescription = "最近访问时间")]
        public System.DateTime LastVisitTime { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnDescription = "创建时间")]
        public System.DateTime CreateTime { get; set; }

        /// <summary>
        /// 头像
        /// </summary>
        [SugarColumn(ColumnDescription = "头像", ColumnDataType = "varchar(100)",IsNullable =true)]
        public System.String HeadImg { get; set; }
    }
}
